## ocaml-res 2.2.5

=== Makefile ===
EXAMPLES = $(filter-out examples/CVS, $(wildcard examples/*))

.PHONY: all
all:
	@cd lib && $(MAKE) byte-code-library native-code-library

.PHONY:	examples
examples:
	@for dir in $(EXAMPLES); do (cd $$dir && $(MAKE)); done

.PHONY:	doc
doc:
	@cd lib && $(MAKE) $@
	ln -sf lib/doc

.PHONY:	install
install:
	@cd lib && $(MAKE) $@

.PHONY:	uninstall
uninstall:
	@cd lib && $(MAKE) $@

.PHONY:	clean
clean:
	@cd lib && $(MAKE) clean
	@for dir in $(EXAMPLES); do (cd $$dir && $(MAKE) clean); done
	@rm -f doc

=== lib/Makefile ===
OCAMLMAKEFILE = ../OCamlMakefile

SOURCES = strat.mli \
          pres_intf.mli pres_impl.ml \
          nopres_intf.mli nopres_impl.ml \
          weak_intf.mli weak_impl.ml \
          res.mli res.ml
RESULT  = res

LIBINSTALL_FILES = res.mli strat.mli pres_intf.mli nopres_intf.mli \
                   strat.cmi pres_intf.cmi nopres_intf.cmi weak_intf.cmi \
		   res.cmi res.cma res.cmxa res.a

all:

install:	libinstall
uninstall:	libuninstall

clean::  clean-doc

-include $(OCAMLMAKEFILE)

=== examples/buffer/Makefile ===
OCAMLMAKEFILE = ../../OCamlMakefile

SOURCES = buffer.ml
INCDIRS = ../../lib
LIBS = res
RESULT  = buffer

-include $(OCAMLMAKEFILE)

=== examples/defstrat/Makefile ===
OCAMLMAKEFILE = ../../OCamlMakefile

SOURCES = defstrat.ml
INCDIRS = ../../lib
LIBS = res
RESULT  = defstrat

-include $(OCAMLMAKEFILE)

=== examples/stupid_ga/Makefile ===
OCAMLMAKEFILE = ../../OCamlMakefile

SOURCES = stupid_ga.ml
INCDIRS = ../../lib
LIBS = res unix
RESULT = ga

-include $(OCAMLMAKEFILE)

=== examples/weak/Makefile ===
OCAMLMAKEFILE = ../../OCamlMakefile

SOURCES = weak_ex.ml
INCDIRS = ../../lib
LIBS   = res
RESULT  = weak_ex

-include $(OCAMLMAKEFILE)

## ocaml-res 3.2.0

=== lib/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
                    strat.cmi pres_intf.cmi nopres_intf.cmi weak_intf.cmi \
 		   res.cmi res.cma res.cmxa res.a
 
-all:
+all:	byte-code-library native-code-library
 
 install:	libinstall
 uninstall:	libuninstall

=== debian/changelog ===
ocaml-res (3.2.0-2) unstable; urgency=low

  * Switch packaging to dh-ocaml 0.9
  * Switch packaging to source format 3.0 (quilt)
  * debian/control:
    - update my e-mail address and remove DMUA
    - update Standards-Version to 3.8.3 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 31 Oct 2009 01:58:31 +0100

ocaml-res (3.2.0-1) unstable; urgency=low

  * New Upstream Version
  * Use quilt to handle patches; add README.source
  * Update Standards-Version to 3.8.2
  * Move to section ocaml
  * Add versioned dependency to ocaml-findlib to ease OCaml 3.11.1
    transition

 -- Stephane Glondu <steph@glondu.net>  Wed, 01 Jul 2009 15:28:00 +0200

ocaml-res (3.1.1-2) unstable; urgency=low

  * Update upstream patch to make it work on bytecode archs

 -- Stephane Glondu <steph@glondu.net>  Mon, 16 Mar 2009 08:42:21 +0100

ocaml-res (3.1.1-1) unstable; urgency=low

  [ Mehdi Dogguy ]
  * Fix watch file.

  [ Stephane Glondu ]
  * New Upstream Version
  * Add dh-ocaml to Build-Depends, use ocaml.mk as a "rules" file
  * Update Standards-Version to 3.8.1
  * Add myself to Uploaders and DMUA
  * Add gbp.conf
  * Change section to libdevel as complained by Lintian
  * Don't use GPL symlink in copyright file

 -- Stephane Glondu <steph@glondu.net>  Sun, 15 Mar 2009 13:36:42 +0100

ocaml-res (2.2.5-2) unstable; urgency=low

  * uploading to unstable
  * add debian/TODO with an item about better Makefile for examples

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 09 May 2008 13:50:08 +0200

ocaml-res (2.2.5-1) experimental; urgency=low

  * Initial release (Closes: #479238)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 03 May 2008 21:57:47 +0200

=== debian/control ===
Source: ocaml-res
Section: ocaml
Priority: extra
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stefano Zacchiroli <zack@debian.org>,
 Stéphane Glondu <glondu@debian.org>,
Build-Depends:
 cdbs,
 debhelper (>= 7),
 dh-ocaml (>= 0.9),
 ocaml-nox (>= 3.11.1-3~),
 ocaml-findlib (>= 1.2.5)
Standards-Version: 3.8.3
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-res.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-res.git
Homepage: http://www.ocaml.info/home/ocaml_sources.html

Package: libres-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml library for automatically resizing contiguous data structure
 This OCaml library consists of a set of modules which implement
 automatically resizing (i.e. reallocating) data structures that consume
 a contiguous part of memory.
 .
 This allows appending and removing of elements to/from arrays (both
 boxed and unboxed), strings (i.e. buffers), bit strings and weak arrays
 while still maintaining fast constant-time access to elements.
 .
 There are also functors that allow the generation of similar modules
 which use different reallocation strategies.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/ocaml.mk

LIB_NAME = res
PKG_NAME = lib$(LIB_NAME)-ocaml-dev
DESTDIR = $(CURDIR)/debian/$(PKG_NAME)$(OCAML_STDLIB_DIR)
OCAML_OCAMLDOC_PACKAGES = $(PKG_NAME)

ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
DEB_MAKE_BUILD_TARGET = all
DEB_MAKE_INSTALL_TARGET = install OCAMLFIND_INSTFLAGS="-destdir $(DESTDIR)"
else
DEB_MAKE_BUILD_TARGET = byte
DEB_MAKE_INSTALL_TARGET = libinstall-byte-code OCAMLFIND_INSTFLAGS="-destdir $(DESTDIR)"
endif

build/$(PKG_NAME)::
	mkdir -p $(DESTDIR)

=== debian/watch ===
version=3
http://www.ocaml.info/home/ocaml_sources.html .*/res/archive/release-(.*).tar.gz

## ocaml-res 4.0.2

=== debian/changelog ===
ocaml-res (4.0.2-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * remove myself from Uploaders

  [ Lifeng Sun ]
  * New upstream release.
  * Switch to debhelper and bump debhelper compat.
  * debian/control:
    - canonical VCS-* fields.
    - add myself to Uploaders.
    - update upstream homepage.
    - bump Standards-Version to 3.9.4.
  * debian/copyright: switch to dep5 format.
  * Fix watch file.
  * Remove patch 0001-Fix-build-on-non-native-archs.patch: fixed by the
    new upstream build system.

  [ Stéphane Glondu ]
  * Remove myself from Uploaders

 -- Lifeng Sun <lifongsun@gmail.com>  Mon, 10 Jun 2013 15:37:49 +0800

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,16 @@
 Priority: extra
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Stefano Zacchiroli <zack@debian.org>,
- Stéphane Glondu <glondu@debian.org>,
+ Lifeng Sun <lifongsun@gmail.com>
 Build-Depends:
- cdbs,
- debhelper (>= 7),
+ debhelper (>= 9),
  dh-ocaml (>= 0.9),
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib (>= 1.2.5)
-Standards-Version: 3.8.3
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-res.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-res.git
-Homepage: http://www.ocaml.info/home/ocaml_sources.html
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-res.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-res.git
+Homepage: https://bitbucket.org/mmottl/res
 
 Package: libres-ocaml-dev
 Architecture: any

## ocaml-res 4.0.3

=== debian/changelog ===
ocaml-res (4.0.3-3) unstable; urgency=low

  * Team upload
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 08:22:59 +0100

ocaml-res (4.0.3-2) experimental; urgency=low

  * Team upload
  * Build-Depend on experimental ocaml-findlib so that ocamlopt works
    properly on new native architectures

 -- Stéphane Glondu <glondu@debian.org>  Thu, 25 Jul 2013 07:28:51 +0200

ocaml-res (4.0.3-1) experimental; urgency=low

  * Team upload
  * New upstream release
  * Compile with OCaml >= 4

 -- Stéphane Glondu <glondu@debian.org>  Wed, 24 Jul 2013 21:44:13 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends:
  debhelper (>= 9),
  dh-ocaml (>= 0.9),
- ocaml-nox (>= 3.11.1-3~),
- ocaml-findlib (>= 1.2.5)
+ ocaml-nox (>= 4),
+ ocaml-findlib (>= 1.4)
 Standards-Version: 3.9.4
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-res.git
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-res.git

=== debian/watch ===
version=3
https://bitbucket.org/mmottl/res/downloads .*/res/downloads/res-(.*).tar.gz

## ocaml-res 5.0.1

=== src/Makefile ===
TARGETS = res.cma

.PHONY: all clean

all:
	@dune build $(TARGETS)

clean:
	@dune clean

=== debian/changelog ===
ocaml-res (5.0.1-3build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 10:15:10 +0100

ocaml-res (5.0.1-3) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Use ocaml_dune DH buildsystem

  [ Debian Janitor ]
  * Update watch file format version to 4
  * Bump debhelper from old 12 to 13
  * Set upstream metadata fields
  * Update standards version to 4.6.1, no changes needed

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 07:10:47 +0200

ocaml-res (5.0.1-2) unstable; urgency=medium

  * Team upload
  * Fix build with recent dune (Closes: #1041025)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jul 2023 11:53:34 +0200

ocaml-res (5.0.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #944366)
  * Update Homepage and debian/watch
  * Remove Lifeng from Uploaders (Closes: #925073)
  * Update Vcs-*
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Sun, 02 Feb 2020 15:40:23 +0100

ocaml-res (4.0.3-4) unstable; urgency=medium

  * Team upload
  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jul 2017 17:26:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: ocaml-res
 Section: ocaml
-Priority: extra
+Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders:
- Lifeng Sun <lifongsun@gmail.com>
 Build-Depends:
- debhelper (>= 9),
- dh-ocaml (>= 0.9),
- ocaml-nox (>= 4),
- ocaml-findlib (>= 1.4)
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-res.git
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-res.git
-Homepage: https://bitbucket.org/mmottl/res
+ debhelper-compat (= 13),
+ ocaml,
+ ocaml-dune,
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-res
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-res.git
+Homepage: https://mmottl.github.io/res/
 
 Package: libres-ocaml-dev
 Architecture: any

=== debian/watch ===
version=4
https://github.com/mmottl/res/releases .*/archive/v?(.*)\.tar\.gz

## ocaml-res 5.0.2

=== Makefile ===
.PHONY: all clean doc

all:
	dune build @install

clean:
	dune clean

doc:
	dune build @doc

=== examples/Makefile ===
TARGETS = $(addsuffix .bc, buffer_ex defstrat stupid_ga weak_ex)

.PHONY: all clean

all:
	@dune build $(TARGETS)

clean:
	@dune clean

=== debian/changelog ===
ocaml-res (5.0.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update debian/watch
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Sun, 29 Dec 2024 21:41:37 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  ocaml,
  ocaml-dune,
  dh-ocaml (>= 1.2)
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-res
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-res.git

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/mmottl/res/releases?per_page=50 \
https://github.com/mmottl/res/releases/download/[^/]+/res-@ANY_VERSION@.tbz
